QwtDialScaleDraw(3)

NAME
QwtDialScaleDraw - A special scale draw made for QwtDial.

SYNOPSIS

#include <qwt_dial.h>

Inherits QwtRoundScaleDraw.

  Public Member Functions
QwtDialScaleDraw (QwtDial *)
virtual QwtText label (double value) const
void setPenWidth (uint)
uint penWidth () const

Detailed Description

A special scale draw made for QwtDial. See also:
    QwtDial, QwtCompass

Constructor & Destructor Documentation

  QwtDialScaleDraw::QwtDialScaleDraw (QwtDial * parent) [explicit]

Constructor

Parameters:
    parent Parent dial widget

Member Function Documentation

  QwtText QwtDialScaleDraw::label (double value) const [virtual]

Call QwtDial::scaleLabel of the parent dial widget.

Parameters:
    value Value to display

See also:
    QwtDial::scaleLabel()

Reimplemented from QwtAbstractScaleDraw.

  uint QwtDialScaleDraw::penWidth () const

Returns:
    Pen width used for painting the scale

See also:
    setPenWidth, QwtDial::drawScale()

  void QwtDialScaleDraw::setPenWidth (uint penWidth)

Set the pen width used for painting the scale

Parameters:
    penWidth Pen width

See also:
    penWidth(), QwtDial::drawScale()

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.